Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.com.otd
Class ComApplication

    java.lang.Object
      com.stc.connector.appconn.com.otd.ComApplication

All Implemented Interfaces:
  ConnectionAssociation

    public class ComApplication

extends java.lang.Object
implements ConnectionAssociation

ComApplication.

Constructor Summary
`ComApplication()`

Method Summary
`void` | `associateConnection(com.stc.connector.appconn.common.ApplicationConnection appConn)` Call this method to associate an ApplicationConnection.
`STCIDispatch` | `create(java.lang.String clsidString)` Call this method to create an instance of the COM object specified by the CLSID string and the server (if DCOM component) in the eWay configuration.
`ComConfiguration` | `getConfiguration()` Get the configuration for this application.
`java.lang.String` | `resolveSystemErrorText(int hr)` A convenience method exposed to allow the user to get the error text for an HRESULT.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComApplication

    public ComApplication()

Method Detail

### associateConnection

    public void associateConnection(com.stc.connector.appconn.common.ApplicationConnection appConn)
                             throws com.stc.connector.appconn.common.ApplicationConnectionException,
                                    com.stc.connector.appconn.common.ApplicationException

  Call this method to associate an ApplicationConnection.

  Specified by:
    `associateConnection` in interface `ConnectionAssociation`
  Parameters:
    `appConn` - The applicationConnection to be associated.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - or `ApplicationException` Thrown if the attempt fails.
    `com.stc.connector.appconn.common.ApplicationException`

### create

    public STCIDispatch create(java.lang.String clsidString)
                        throws ComApplicationException

  Call this method to create an instance of the COM object specified by the CLSID string and the server (if DCOM component) in the eWay configuration.

  Parameters:
    `clsidString` - The CLSID string of the COM object you wish to create. Note that the component must be automation-compatible.
  Returns:
    `STCIDispatch` - Returns an STCIDispatch interface for the specified CLSID string.
  Throws:
    `ComApplicationException` - Thrown if creation of the instance fails.

### getConfiguration

    public ComConfiguration getConfiguration()

  Get the configuration for this application.

  Parameters:
    None.

  Returns:
    `ComConfiguration` - Returns the configuration.
  Throws:
    None.

### resolveSystemErrorText

    public java.lang.String resolveSystemErrorText(int hr)

  A convenience method exposed to allow the user to get the error text for an HRESULT. The Method routes down to the `FormatMessage` method in the Win32 API.

  Parameters:
    `hr` - The hr value.
  Returns:
    `String` - Returns the error message from operating system, if any.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.